/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.programmez.twitter;

import java.io.*;
import java.net.*;
import javax.net.SocketFactory;

/**
 *
 * @author fred
 */
public class TwitterGetPublic {

    public static void main(String[] args) {
	String command =
		"GET /1/statuses/public_timeline.xml HTTP/1.1\r\n";
	
	/*
	//ou bien
	
	String command =
	"GET /1/statuses/public_timeline.xml?trim_user=true HTTP/1.1\r\n";
	*/
	 
	String host = "Host: api.twitter.com\r\n";
	String accept = "Accept: */*\r\n";
	String action = "Connection: Close\r\n";


	String requete = command;
	requete += host;
	requete += accept;
	requete += action;
	requete += "\r\n";


	System.out.println(requete);

	try {

	    InetAddress twitter =
		    InetAddress.getByName("api.twitter.com");

	    SocketFactory socketFactory =
		    (SocketFactory) SocketFactory.getDefault();
	    Socket s =
		    socketFactory.createSocket(twitter, 80);

	    BufferedReader in = new BufferedReader(
		    new InputStreamReader(s.getInputStream()));

	    DataOutputStream out =
		    new DataOutputStream(s.getOutputStream());

	    out.writeBytes(requete);

	    String responseLine;
	    while ((responseLine = in.readLine()) != null) {
		System.out.println(responseLine);
	    }

	    in.close();
	    out.close();
	    s.close();
	} catch (UnknownHostException uex) {
	    uex.printStackTrace();
	} catch (IOException e) {
	    System.out.println("Erreur" + e);
	} catch (Exception ex) {
	    ex.printStackTrace();
	}

    }
}
